Prepare payment for a checkout session
POST
/checkout/sessions/{id}/prepare-payment
const url = 'https://apisandbox.puurk.com/checkout/sessions/example/prepare-payment';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/checkout/sessions/example/prepare-payment \ --header 'Content-Type: application/json' \ --data '{}'Prepare the payment intent for the selected plan
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ID of the checkout session
Request Body
Section titled “Request Body”Request body
Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
Examplegenerated
{}Unauthorized